### Enumeration

# Gtk DirectionType

since: 4.0

#### Declaration

    enum Gtk.DirectionType

#### Description [src]

Focus movement types.

Available since: 4.0

#### Members

`GTK_DIR_TAB_FORWARD`

  Move forward.

  - Value: `0`
  - Nickname: `tab-forward`
  - Available since: 4.0
`GTK_DIR_TAB_BACKWARD`

  Move backward.

  - Value: `1`
  - Nickname: `tab-backward`
  - Available since: 4.0
`GTK_DIR_UP`

  Move up.

  - Value: `2`
  - Nickname: `up`
  - Available since: 4.0
`GTK_DIR_DOWN`

  Move down.

  - Value: `3`
  - Nickname: `down`
  - Available since: 4.0
`GTK_DIR_LEFT`

  Move left.

  - Value: `4`
  - Nickname: `left`
  - Available since: 4.0
`GTK_DIR_RIGHT`

  Move right.

  - Value: `5`
  - Nickname: `right`
  - Available since: 4.0